Summary:        RPM Perl dependencies generators
Name:           perl-generators
Version:        1.15
Release:        3%{?dist}
License:        GPL-1.0-or-later
URL:            http://jplesnik.fedorapeople.org/generators
Source0:        %{url}/generators-%{version}.tar.gz
Patch3000:      0001-Add-file-perlcompat.attr-which-generates-replacement.patch

BuildRequires:  coreutils make sed perl-macros
%if ! 0%{?perl_bootstrap}
BuildRequires:  perl-generators
%endif
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Copy) perl(File::Find) perl(strict) perl(warnings)
BuildRequires:  perl(Fedora::VSP) perl(File::Basename) perl(lib) perl(Exporter)
BuildRequires:  perl(Test::More) perl(Test::Simple)
Requires:       perl-interpreter perl-macros
%if 0%{?perl_bootstrap}
Requires:       perl(Fedora::VSP) perl(File::Basename)
%endif
Recommends:     perl(version)
BuildArch:      noarch

%description
This package provides RPM Perl dependencies generators which are used for
getting provides and requires from Perl binaries and modules.

%prep
%autosetup -n generators-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORSCRIPT=%{_rpmconfigdir} \
     NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs/
install -p -m 0644 fileattrs/* %{buildroot}%{_rpmconfigdir}/fileattrs

%check
make test

%files
%doc Changes TODO
%{_rpmconfigdir}/perl*
%{_rpmconfigdir}/fileattrs/perl*.attr

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15-3
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 31 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.15-2
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Mon Jul 31 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.15-1
- Upgrade to upstream version 1.15
- Add file perlcompat.attr which generates replacement for versioned

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.14-1
- Initial build
